%define debug_package %{nil}

Summary:	Sample rules for snort

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		snort-sample-rules
Version:	2.9.17.0
Release:	1%{?dist}
URL:		http://www.cert.org/forensics/repository

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
These are a set of sample rules for snort so that snort start up without error

%prep
%setup -n %{name}

%build
echo Nothing to make

%install
%{__mkdir_p} %{buildroot}%{_sysconfdir}/snort/rules
cd %{buildroot}%{_sysconfdir}/snort/rules
tar zxf %{SOURCE0}
mv %{name}/* .
rmdir %{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(644, root, root)	%{_sysconfdir}/snort/rules/*

%changelog
* Sun Nov 22 2020 Lawrence R. Rogers <lrr@cert.org> 2.9.17.0-1
* Release 2.9.17.0-1
	Version update and created all rules in the current version of snort.conf.

* Mon Aug 24 2020 Lawrence R. Rogers <lrr@cert.org> 2.9.16.1-2
* Release 2.9.16.1-2
	Version update and created all rules in the current version of snort.conf.

* Wed Aug  5 2020 Lawrence R. Rogers <lrr@cert.org> 2.9.16.1-1
* Release 2.9.16.1-1
	Version update and created all rules in the current version of snort.conf.

* Mon Apr 13 2020 Lawrence R. Rogers <lrr@cert.org> 2.9.16-1
* Release 2.9.16-1
	Version update and created all rules in the current version of snort.conf.

* Mon Jan  6 2020 Lawrence R. Rogers <lrr@cert.org> 2.9.15.1-1
* Release 2.9.15.1-1
	Version update and created all rules in the current version of snort.conf.

* Fri Oct 11 2019 Lawrence R. Rogers <lrr@cert.org> 2.9.15-1
* Release 2.9.15-1
	Version update and created all rules in the current version of snort.conf.

* Mon Aug  5 2019 Lawrence R. Rogers <lrr@cert.org> 2.9.14.1-1
* Release 2.9.14.1-1
	Version update and created all rules in the current version of snort.conf.

* Thu Jun 20 2019 Lawrence R. Rogers <lrr@cert.org> 2.9.13-1
* Release 2.9.13-1
	Version update and created all rules in the current version of snort.conf.

* Mon Oct 15 2018 Lawrence R. Rogers <lrr@cert.org> 2.9.12-1
* Release 2.9.12-1
	Version update and created all rules in the current version of snort.conf.

* Fri Jan  5 2018 Lawrence R. Rogers <lrr@cert.org> 2.9.11.1-1
* Release 2.9.11.1-1
	Version update and created all rules in the current version of snort.conf.

* Mon Nov 20 2017 Lawrence R. Rogers <lrr@cert.org> 2.9.11-1
* Release 2.9.11-1
	Version update and created all rules in the current version of snort.conf.

* Tue Dec 27 2016 Lawrence R. Rogers <lrr@cert.org> 2.9.9.0-1
* Release 2.9.9.0-1
	Version update and created all rules in the current version of snort.conf.

* Tue Dec  1 2015 Lawrence R. Rogers <lrr@cert.org> 2.9.8.0-1
* Release 2.9.8.0-1
	Version update and created all rules in the current version of snort.conf.

* Fri Oct  2 2015 Lawrence R. Rogers <lrr@cert.org> 2.9.7.6-1
* Release 2.9.7.6-1
	Just an update to stay in sync with snort version.

* Mon Aug  3 2015 Lawrence R. Rogers <lrr@cert.org> 2.9.7.5-1
* Release 2.9.7.5-1
	Just an update to stay in sync with snort version.

* Mon Jun 29 2015 Lawrence R. Rogers <lrr@cert.org> 2.9.7.3-1
* Release 2.9.7.3-1
	Just an update to stay in sync with snort version.

* Wed Dec 24 2014 Lawrence R. Rogers <lrr@cert.org> 2.9.7.2-1
* Release 2.9.7.2-1
	Just an update to stay in sync with snort version.

* Fri Oct 24 2014 Lawrence R. Rogers <lrr@cert.org> 2.9.7.0-1
* Release 2.9.7.0-1
	Just an update to stay in sync with snort version.

* Mon Jul 21 2014 Lawrence R. Rogers <lrr@cert.org> 2.9.6.2-1
* Release 2.9.6.2-1
	Just an update to stay in sync with snort version.

* Tue May 13 2014 Lawrence R. Rogers <lrr@cert.org> 2.9.6.1-1
* Release 2.9.6.1-1
	Just an update to stay in sync with snort version.

* Fri Jan 31 2014 Lawrence R. Rogers <lrr@cert.org> 2.9.6.0-1
* Release 2.9.6.0-1
	Just an update to stay in sync with snort version.

* Fri Oct 04 2013 Lawrence R. Rogers <lrr@cert.org> 2.9.5.5-1
* Release 2.9.5.5-1
	Just an update to stay in sync with snort version.

* Wed Jul 03 2013 Lawrence R. Rogers <lrr@cert.org> 2.9.5.3-1
* Release 2.9.5.3-1
	Just an update to stay in sync with snort.

* Thu Apr 25 2013 Lawrence R. Rogers <lrr@cert.org> 2.9.4.6-1
* Release 2.9.4.6-1
	Just an update to stay in sync with snort.

* Wed Apr 03 2013 Lawrence R. Rogers <lrr@cert.org> 2.9.4.5-1
* Release 2.9.4.5-1
	Just an update to stay in sync with snort.

* Thu Dec 13 2012 Lawrence R. Rogers <lrr@cert.org> 2.9.4-1
* Release 2.9.4-1
	This package contains a minimal set of rules so that snort version 2.9.4 starts without error.
	These rules do nothing.

* Mon Oct 17 2011 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
	Initial release - these rules help to insure that snort starts without error
